package com.tmerclub.cloud.common.product.constant;

/**
 * @author lanhai
 */
public enum TakeStockExceptionEnum {

    /**
     * 删除商品
     */
    DELETE_PROD(1, "删除商品", "Delete product"),

    /**
     * 盘点期间有库存变动
     */
    PROD_CHANGE(2, "盘点期间有库存变动", "Inventory movements during the stocktaking period"),

    /**
     * 其他
     */
    OTHER(3, "其他", "Other"),
    ;

    private final Integer num;
    private final String strCn;
    private final String strEn;

    public Integer value() {
        return num;
    }

    public String strCn() {
        return strCn;
    }

    public String strEn() {
        return strEn;
    }

    TakeStockExceptionEnum(Integer num, String strCn, String strEn) {
        this.num = num;
        this.strCn = strCn;
        this.strEn = strEn;
    }

    public static TakeStockExceptionEnum instance(Integer value) {
        TakeStockExceptionEnum[] enums = values();
        for (TakeStockExceptionEnum statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
